> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nameshouts.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Multiple Names without Language

```http GET theme={"system"}
GET https://api.nameshouts.com/api/v2.0/name/albert-einstein
```

The API endpoint returns the results when multiple names are searched without specifying a language.

To narrow down the languages where both these names are available:

Look for the `main_res_array` parameter on the returned object. Look for object keys where "**all\_names\_found**": is true. These are the languages where both these names exist.

## Authorization

| Bearer Token | |
| - | - |
| Token | `{{token}}` |

## Path parameters

**names** `string`

Example: `albert-einstein`

## Examples

### Get Albert Einstein without language

**Example Request**

```bash curl theme={"system"}
curl --location 'https://api.nameshouts.com/api/v2.0/name/albert-einstein'
```

**Example Response** · `200 OK`

```json Body theme={"system"}
{
    "main_res_array": {
        "18": {
            "searched_name": [
                "einstein"
            ],
            "other_names": [
                "Albert"
            ],
            "all_names_found": true
        },
        "28": {
            "searched_name": [
                "einstein"
            ],
            "other_names": [
                "Albert"
            ],
            "all_names_found": true
        },
        "33": {
            "searched_name": [
                "einstein"
            ],
            "other_names": [
                "Albert"
            ],
            "all_names_found": true
        },
        "39": {
            "searched_name": [
                "einstein"
            ],
            "other_names": [
                "Albert"
            ],
            "all_names_found": true
        }
    },
    "name_res_array": {
        "albert": [
            {
                "id": 7614,
                "name": "Albert",
                "name_phonetic": "ah-l-behr-heh",
                "gender": "male",
                "language_id": 24,
                "path_directory": "albert_fr",
                "public": 0,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00"
            },
            {
                "id": 33736,
                "name": "Albert",
                "name_phonetic": "al-behrt",
                "gender": "male",
                "language_id": 28,
                "path_directory": "albert_de",
                "public": 1,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00"
            },
            {
                "id": 51058,
                "name": "Albert",
                "name_phonetic": "ahl-behrt",
                "gender": "male",
                "language_id": 33,
                "path_directory": "albert_he",
                "public": 0,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00"
            },
            {
                "id": 107365,
                "name": "Albert",
                "name_phonetic": "ahl-behrt",
                "gender": "both",
                "language_id": 58,
                "path_directory": "albert_fa",
                "public": 0,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00"
            },
            {
                "id": 124643,
                "name": "Albert",
                "name_phonetic": "ah-l-beh-r",
                "gender": "male",
                "language_id": 69,
                "path_directory": "albert_es",
                "public": 0,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00"
            },
            {
                "id": 181424,
                "name": "Albert",
                "name_phonetic": "al-birt",
                "gender": "male",
                "language_id": 3,
                "path_directory": "albert_ar",
                "public": 0,
                "created_at": "2020-06-29 23:14:00",
                "updated_at": "2020-06-29 23:14:00"
            },
            {
                "id": 207951,
                "name": "Albert",
                "name_phonetic": "al-bert",
                "gender": "male",
                "language_id": 34,
                "path_directory": "albert_hi",
                "public": 0,
                "created_at": "2020-06-29 23:14:00",
                "updated_at": "2020-06-29 23:14:00"
            },
            {
                "id": 244029,
                "name": "Albert",
                "name_phonetic": "al-but",
                "gender": "male",
                "language_id": 18,
                "path_directory": "albert_en",
                "public": 1,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00"
            },
            {
                "id": 363325,
                "name": "Albert",
                "name_phonetic": "al-buhrt",
                "gender": "both",
                "language_id": 39,
                "path_directory": "albert_ga",
                "public": 0,
                "created_at": "2021-03-03 02:10:00",
                "updated_at": "2021-03-03 02:10:00"
            }
        ],
        "einstein": [
            {
                "id": 34408,
                "name": "Einstein",
                "name_phonetic": "ain-shtain",
                "gender": "male",
                "language_id": 28,
                "path_directory": "einstein_de",
                "public": 1,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00"
            },
            {
                "id": 56891,
                "name": "Einstein",
                "name_phonetic": "eye-nstyn",
                "gender": "both",
                "language_id": 33,
                "path_directory": "einstein_he",
                "public": 0,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00"
            },
            {
                "id": 81448,
                "name": "Einstein",
                "name_phonetic": "ain-stain",
                "gender": "both",
                "language_id": 39,
                "path_directory": "einstein_ga",
                "public": 0,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00"
            },
            {
                "id": 322724,
                "name": "Einstein",
                "name_phonetic": "ain-stain",
                "gender": "male",
                "language_id": 18,
                "path_directory": "einstein_en",
                "public": 0,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00"
            }
        ]
    },
    "activity_count": {
        "id": 27157,
        "created_at": "2022-08-04 02:50:51",
        "updated_at": "2022-08-10 02:46:42",
        "user_id": 30508,
        "count": 4,
        "limit": 50
    }
}
```

**Headers (6)**

| Key | Value |
| - | - |
| Server | nginx/1.14.0 (Ubuntu) |
| Content-Type | application/json |
| Transfer-Encoding | chunked |
| Connection | keep-alive |
| Cache-Control | no-cache, private |
| Date | Wed, 10 Aug 2022 02:46:42 GMT |

```bash cURL theme={"system"}
curl --location 'https://api.nameshouts.com/api/v2.0/name/albert-einstein' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
```

```json Get Albert Einstein without language (200) theme={"system"}
{
    "main_res_array": {
        "18": {
            "searched_name": [
                "einstein"
            ],
            "other_names": [
                "Albert"
            ],
            "all_names_found": true
        },
        "28": {
            "searched_name": [
                "einstein"
            ],
            "other_names": [
                "Albert"
            ],
            "all_names_found": true
        },
        "33": {
            "searched_name": [
                "einstein"
            ],
            "other_names": [
                "Albert"
            ],
            "all_names_found": true
        },
        "39": {
            "searched_name": [
                "einstein"
            ],
            "other_names": [
                "Albert"
            ],
            "all_names_found": true
        }
    },
    "name_res_array": {
        "albert": [
            {
                "id": 7614,
                "name": "Albert",
                "name_phonetic": "ah-l-behr-heh",
                "gender": "male",
                "language_id": 24,
                "path_directory": "albert_fr",
                "public": 0,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00"
            },
            {
                "id": 33736,
                "name": "Albert",
                "name_phonetic": "al-behrt",
                "gender": "male",
                "language_id": 28,
                "path_directory": "albert_de",
                "public": 1,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00"
            },
            {
                "id": 51058,
                "name": "Albert",
                "name_phonetic": "ahl-behrt",
                "gender": "male",
                "language_id": 33,
                "path_directory": "albert_he",
                "public": 0,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00"
            },
            {
                "id": 107365,
                "name": "Albert",
                "name_phonetic": "ahl-behrt",
                "gender": "both",
                "language_id": 58,
                "path_directory": "albert_fa",
                "public": 0,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00"
            },
            {
                "id": 124643,
                "name": "Albert",
                "name_phonetic": "ah-l-beh-r",
                "gender": "male",
                "language_id": 69,
                "path_directory": "albert_es",
                "public": 0,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00"
            },
            {
                "id": 181424,
                "name": "Albert",
                "name_phonetic": "al-birt",
                "gender": "male",
                "language_id": 3,
                "path_directory": "albert_ar",
                "public": 0,
                "created_at": "2020-06-29 23:14:00",
                "updated_at": "2020-06-29 23:14:00"
            },
            {
                "id": 207951,
                "name": "Albert",
                "name_phonetic": "al-bert",
                "gender": "male",
                "language_id": 34,
                "path_directory": "albert_hi",
                "public": 0,
                "created_at": "2020-06-29 23:14:00",
                "updated_at": "2020-06-29 23:14:00"
            },
            {
                "id": 244029,
                "name": "Albert",
                "name_phonetic": "al-but",
                "gender": "male",
                "language_id": 18,
                "path_directory": "albert_en",
                "public": 1,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00"
            },
            {
                "id": 363325,
                "name": "Albert",
                "name_phonetic": "al-buhrt",
                "gender": "both",
                "language_id": 39,
                "path_directory": "albert_ga",
                "public": 0,
                "created_at": "2021-03-03 02:10:00",
                "updated_at": "2021-03-03 02:10:00"
            }
        ],
        "einstein": [
            {
                "id": 34408,
                "name": "Einstein",
                "name_phonetic": "ain-shtain",
                "gender": "male",
                "language_id": 28,
                "path_directory": "einstein_de",
                "public": 1,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00"
            },
            {
                "id": 56891,
                "name": "Einstein",
                "name_phonetic": "eye-nstyn",
                "gender": "both",
                "language_id": 33,
                "path_directory": "einstein_he",
                "public": 0,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00"
            },
            {
                "id": 81448,
                "name": "Einstein",
                "name_phonetic": "ain-stain",
                "gender": "both",
                "language_id": 39,
                "path_directory": "einstein_ga",
                "public": 0,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00"
            },
            {
                "id": 322724,
                "name": "Einstein",
                "name_phonetic": "ain-stain",
                "gender": "male",
                "language_id": 18,
                "path_directory": "einstein_en",
                "public": 0,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00"
            }
        ]
    },
    "activity_count": {
        "id": 27157,
        "created_at": "2022-08-04 02:50:51",
        "updated_at": "2022-08-10 02:46:42",
        "user_id": 30508,
        "count": 4,
        "limit": 50
    }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.